Subscribe to Trigger
curl --request POST \
--url https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"integration": "salesforce",
"type": "SALESFORCE_TRIGGER_RECORD_CREATED",
"parameters": {
"recordType": "Opportunity"
},
"webhookOverride": {
"url": "https://example.com",
"headers": {},
"metadata": {}
}
}
'import requests
url = "https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions"
payload = {
"integration": "salesforce",
"type": "SALESFORCE_TRIGGER_RECORD_CREATED",
"parameters": { "recordType": "Opportunity" },
"webhookOverride": {
"url": "https://example.com",
"headers": {},
"metadata": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
integration: 'salesforce',
type: 'SALESFORCE_TRIGGER_RECORD_CREATED',
parameters: {recordType: 'Opportunity'},
webhookOverride: {url: 'https://example.com', headers: {}, metadata: {}}
})
};
fetch('https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'integration' => 'salesforce',
'type' => 'SALESFORCE_TRIGGER_RECORD_CREATED',
'parameters' => [
'recordType' => 'Opportunity'
],
'webhookOverride' => [
'url' => 'https://example.com',
'headers' => [
],
'metadata' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions"
payload := strings.NewReader("{\n \"integration\": \"salesforce\",\n \"type\": \"SALESFORCE_TRIGGER_RECORD_CREATED\",\n \"parameters\": {\n \"recordType\": \"Opportunity\"\n },\n \"webhookOverride\": {\n \"url\": \"https://example.com\",\n \"headers\": {},\n \"metadata\": {}\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"integration\": \"salesforce\",\n \"type\": \"SALESFORCE_TRIGGER_RECORD_CREATED\",\n \"parameters\": {\n \"recordType\": \"Opportunity\"\n },\n \"webhookOverride\": {\n \"url\": \"https://example.com\",\n \"headers\": {},\n \"metadata\": {}\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"integration\": \"salesforce\",\n \"type\": \"SALESFORCE_TRIGGER_RECORD_CREATED\",\n \"parameters\": {\n \"recordType\": \"Opportunity\"\n },\n \"webhookOverride\": {\n \"url\": \"https://example.com\",\n \"headers\": {},\n \"metadata\": {}\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<uuid>",
"type": "SALESFORCE_TRIGGER_RECORD_CREATED",
"parameters": {
"recordType": "Opportunity"
},
"status": "ACTIVE",
"dateCreated": "2025-05-31T00:00:00Z",
"dateLastReceivedEvent": "2025-05-31T00:00:00Z",
"credentialId": "<uuid>",
"webhookOverride": {
"url": "https://example.com"
}
}Triggers API
Subscribe to a Trigger
Subscribe to a trigger on behalf of your user.
POST
/
projects
/
{project_id}
/
trigger-subscriptions
Subscribe to Trigger
curl --request POST \
--url https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"integration": "salesforce",
"type": "SALESFORCE_TRIGGER_RECORD_CREATED",
"parameters": {
"recordType": "Opportunity"
},
"webhookOverride": {
"url": "https://example.com",
"headers": {},
"metadata": {}
}
}
'import requests
url = "https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions"
payload = {
"integration": "salesforce",
"type": "SALESFORCE_TRIGGER_RECORD_CREATED",
"parameters": { "recordType": "Opportunity" },
"webhookOverride": {
"url": "https://example.com",
"headers": {},
"metadata": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
integration: 'salesforce',
type: 'SALESFORCE_TRIGGER_RECORD_CREATED',
parameters: {recordType: 'Opportunity'},
webhookOverride: {url: 'https://example.com', headers: {}, metadata: {}}
})
};
fetch('https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'integration' => 'salesforce',
'type' => 'SALESFORCE_TRIGGER_RECORD_CREATED',
'parameters' => [
'recordType' => 'Opportunity'
],
'webhookOverride' => [
'url' => 'https://example.com',
'headers' => [
],
'metadata' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions"
payload := strings.NewReader("{\n \"integration\": \"salesforce\",\n \"type\": \"SALESFORCE_TRIGGER_RECORD_CREATED\",\n \"parameters\": {\n \"recordType\": \"Opportunity\"\n },\n \"webhookOverride\": {\n \"url\": \"https://example.com\",\n \"headers\": {},\n \"metadata\": {}\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"integration\": \"salesforce\",\n \"type\": \"SALESFORCE_TRIGGER_RECORD_CREATED\",\n \"parameters\": {\n \"recordType\": \"Opportunity\"\n },\n \"webhookOverride\": {\n \"url\": \"https://example.com\",\n \"headers\": {},\n \"metadata\": {}\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"integration\": \"salesforce\",\n \"type\": \"SALESFORCE_TRIGGER_RECORD_CREATED\",\n \"parameters\": {\n \"recordType\": \"Opportunity\"\n },\n \"webhookOverride\": {\n \"url\": \"https://example.com\",\n \"headers\": {},\n \"metadata\": {}\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<uuid>",
"type": "SALESFORCE_TRIGGER_RECORD_CREATED",
"parameters": {
"recordType": "Opportunity"
},
"status": "ACTIVE",
"dateCreated": "2025-05-31T00:00:00Z",
"dateLastReceivedEvent": "2025-05-31T00:00:00Z",
"credentialId": "<uuid>",
"webhookOverride": {
"url": "https://example.com"
}
}Authorizations
Your Paragon User Token (JWT), which you can generate using your project's signing keys.
Headers
Body
application/json
The parameter values to configure this trigger with. If you are collecting these parameters from your users, learn more about rendering UI elements for parameters in User Configuration.
Example:
{ "recordType": "Opportunity" }
Response
Success - Returns the created trigger subscription